#!/bin/bash
#
# This script will find eosd processes which have hung
# while umounting (caused by upstream xroot issue:
# https://github.com/xrootd/xrootd/issues/418).
#
# Author: Dan van der Ster
# Date: 26 Sept 2016
#

export PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin

# make sure we have lsof
which lsof &>/dev/null || exit
 
# Find running eosd processes
PIDS=`pidof eosd`
 
# Kill the eosd processes that don't have /dev/fuse open
for PID in $PIDS
do
  if ! lsof -p $PID 2>/dev/null | grep -q /dev/fuse
  then
    kill -9 $PID
  fi
done

