class eosclient (
  $version               = 'present',
  $enable_fuse           = false,
  $enable_pam_hook       = false,
  $enable_autofs         = false,
  $mounts                = hiera_array('eos_mounts', []),
  $yum_priority          = 9,
  $manage_autofs_service = true,
  $manage_autofs_rpm     = true,
  $fuse_logrotate_days   = 7,
  $allow_osrepos         = true,
  $enable_lemon          = true,
) {

  if versioncmp($::operatingsystemmajrelease, '6') < 0 or $::architecture != 'x86_64' {
    fail ('eosclient supports only x86_64 and el6 or newer')
  }

  ensure_packages(['jemalloc', 'lsof'])

  if $allow_osrepos {
    osrepos::kojitag { 'eos':
      available_major_versions => [6, 7],
      description              => 'EOS binaries from CERN Koji',
      priority                 => $yum_priority,
      before                   => Package['eos-client'],
    }
  }

  package {'eos-client':
    ensure => $version,
  }

  if $enable_fuse {
    include ::eosclient::fuse
  }

  if $enable_pam_hook {
    include ::eosclient::fuse::interactive
  }
}
